onEvent('recipes', (event) => {
    
    const id_prefix = 'apotheosis:kubejs/enchanting';

    const recipes = [
        {
            input: 'occultism:lenses',
            result: 'occultism:infused_lenses',
            requirements: {
                eterna: 30,
		        quanta: 25,
		        arcana: 25
            },
            display_level: 3,
            id: 'infused_lenses'
        }
    ];

    recipes.forEach(recipe => {

        recipe.type = 'apotheosis:enchanting';
        recipe.conditions = [{
            type: 'apotheosis:module',
            module: 'enchantment'
        }];
        recipe.input = Item.of(recipe.input).toJson();
        recipe.result = Item.of(recipe.result).toResultJson();

        if(!recipe.max_requirements){
            recipe.max_requirements = {
                eterna: -1,
		        quanta: -1,
		        arcana: -1
            }
        }

        event.custom(recipe).id(`${id_prefix}/${recipe.id}`);

    })

});
